import request from '@/utils/request'

// 查询经销商负责人可排线配置列表
export function listChainsRoute(query) {
  return request({
    url: '/sfa/chainsRoute/list',
    method: 'post',
    data: query
  })
}

// 查询经销商负责人可排线配置详细
export function getChainsRoute(chailsRouteId) {
  return request({
    url: '/sfa/chainsRoute/' + chailsRouteId,
    method: 'get'
  })
}

// 新增经销商负责人可排线配置
export function addChainsRoute(data) {
  return request({
    url: '/sfa/chainsRoute',
    method: 'post',
    data: data
  })
}

// 修改经销商负责人可排线配置
export function updateChainsRoute(data) {
  return request({
    url: '/sfa/chainsRoute',
    method: 'put',
    data: data
  })
}

// 删除经销商负责人可排线配置
export function delChainsRoute(chailsRouteId) {
  return request({
    url: '/sfa/chainsRoute/' + chailsRouteId,
    method: 'delete'
  })
}
